---
path: "/engineering/quality"
title: "🕵🏽‍♂️ Quality Analyst Framework"
sidebarTitle: "🕵🏽‍♂️ Quality"
sidebarGroup: "engineering"
yaml: true
levels: 3
homepage: true
topics:
  - name: "communication"
    title:
    content:
      - level: 1
        criteria:
          - "Provides regular status updates to their squad and discipline"
          - "Points out improvements in test scenario reviews"
          - "Seeks guidance from other testers, rather than answers"
          - "Accepts feedback graciously"
      - level: 2
        criteria:
          - "Proactively communicates to their squad and discipline with what they are working on, why, how it's going and when they need help"
          - "Accepts feedback graciously and looks to action feedback"
          - "Gives feedback to peers when asked"
          - Communicates clearly to other disciplines and within squad with little need for clarification
      - level: 3
        criteria:
          - "Transparent about mistakes they've made, early"
          - "Proactively gives timely actionable feedback to peers"
          - "Proactively seeks feedback from the people around them"
          - "Considers the opinions of others before defending their own"

  - name: "impact"
    title:
    content:
      - level: 1
        criteria:
          - "Works as part of a squad and can self assign tasks"
          - "Delivers assigned tasks, working with a more senior squad or discipline member, and able to take feedback to improve their work"
          - "Attends planning meetings, inputting on improving quality early and can identify simple risks"
      - level: 2
        criteria:
          - "Delivers assigned tasks that meet expected criteria"
          - "Works as part of a squad, focuses on tasks that contribute to squad goals"
          - "Tries to unblock themselves first before seeking help"
          - "Manages their own time effectively, prioritises their workload well, on time for meetings, aware when blocking others and unblocks"
          - "Contributes to a well functioning squad and discipline by picking ups tasks that need to be done to unblock.  Pairs with others if unable to complete task alone"
          - "Solves small/medium problems"
      - level: 3
        criteria:
          - "Delivers large well-defined tasks and solves small scope not-well-defined problems"
          - "Contributes to writing proposals (Co-authors with more experienced Engineer)"
          - "Identifies areas of testing within the business that can be improved and suggests improvements"
          - "Breaks down large problems into smaller iterative steps"
  - name: "leadership"
    title: "👩‍💼 Leadership"
    content:
      - level: 3
        criteria:
          - "Onboards / mentors new engineers"
  - name: "influence"
    title: "✨ Influence"
    content:
      - level: 1
        criteria:
          - "Improves documentation that is incorrect"
      - level: 2
        criteria:
          - "Proactively raises issues they spot in retrospectives"
          - "Identifies and raises issues with test tools, harnesses and frameworks used"
          - "Contributes to tester discipline catch ups"
      - level: 3
        criteria:
          - "Provides valuable input to RFCs from other testers"
          - "Proactively improves test frameworks and tools they encounter, 'this doesn't make sense, I'm going to do something about it'"
          - "Contributes to scaling testing hiring (e.g. leads calls, onsite interviews)"
          - "Builds simple test tools, harnesses, frameworks for the benefit of all testers"
  - name: "mastery"
    title: "🛠️ Mastery"
    content:
      - level: 1
        criteria:
          - "Begins to apply exploratory testing techniques following guidance and training materials"
          - "Starts to write and communicate simple bug reports with guidance"
          - "Attends and starts to add value squad rituals"
          - "Uses tool assisted testing techniques to identify symptoms of bugs"
          - "Proactive in asking questions, explains what they have tried so far and why that hasn’t worked"
      - level: 2
        criteria:
          - "Analyses features, understands impact of change can analyse what areas will be affected by a change"
          - "Independently creates test scenarios for business features with high customer visibility and medium business risk"
          - "Writes detailed bug reports according to best practice. Communicates clearly to the engineers with little need for clarification"
          - "Independently uses tool assisted testing techniques to assist in determining a bug’s root cause"
          - "Drives releases from a test perspective.  Understands the need for quality and weighs up bug impact vs feature impact to assist release decisions"
          - "Participates in squad rituals"
          - "Understands the impact of work being done"
          - "Employs appropriate exploratory testing techniques"
          - "Proactive in asking questions to identify areas of risk"
          - "Self learns new techniques and tools and seeks out people who can assist them"
      - level: 3
        criteria:
        - "Leads conversations when analysing features, advocates for acceptance criteria to be included (Example: advocates for accessibility acceptance criteria to be included in a front-end story)"
        - "Creates test scenarios for business features with high customer visibility and high business risk. Advises others on how to create test scenarios"
        - "Advises on testing approach for a feature, advocates for testing lower down the test pyramid (Example: pushes testing of some acceptance criteria down into the unit tests, works with developers to help that happen)"
        - "Writes detailed bug reports, communicates to developers, advocates for fixes, contributes to defining best practice"
        - "Debugs complex defects, able to capture root cause (not just symptoms)"
        - "Identifies areas of testing within the business that can be improved and suggests improvements"

---
### About our engineering progression frameworks
The engineering progression framework is a tool that helps engineers and managers:
- make development and career plans
- talk about what we’re looking for from engineers in a consistent way
- set a fair level of compensation.

The framework is a compass, not a GPS.

It's meant to be helpful. It's not meant to be a rating system for humans, free from edge cases.

### How does it work?
The framework covers all the things we’re looking for from engineers at Intugine. We’re interested in these five elements:
- Mastery - Your Intugine knowledge and technical capability
- Impact - The size, scope and value of what you deliver
- Influence - How you change the world around you for the better
- Comms & Feedback - How you interact with others
- Leadership - How people around you become better and more impactful

We sort them into six levels, and we try to give specific examples of behaviours we expect for each. Each of those levels has a fairly wide salary range associated with it, and within each level you can progress in sub-levels, labelled A–E. So even if you’re at level 3 for a couple of years, you’ll still be able to see that you’re moving forward. Basically, the more behaviours you show from your level, the more you’ll progress.

Your manager will work with you on this. None of it will happen mysteriously behind closed doors. You’ll agree what level of progression you’re going for and what you need to improve on with your manager. It should be clear how you’re doing relative to that at all times.

### Things to keep in mind
- There are many different ways to progress and be valuable to Intugine as you grow, including deep technical knowledge and ability, technical leadership and people management. All are equally valuable paths in Intugine's engineering team.
- The framework represents a career’s worth of progression, people shouldn’t expect to fly up it in 18 months!
- Engineering progression isn’t an exact science and there will always be some ambiguity.
- This isn’t a checklist – it’s possible to progress up a level without showing all the behaviours in that level.
- There will be levels on top (eg ‘Inventor of Android’ or ‘Author of Go’), but we won’t add them until we need them.
- You can find some more information in these links. If that doesn't answer most of your questions, please ask your manager.

### Give us your feedback!
This is only the first version of our framework and we really want your feedback.

We're particularly keen to add as many examples to the behaviours as possible, to further clarify them.
